# std::bernoulli_distribution::p

From cppreference.com
< cpp‎ | numeric‎ | random‎ | bernoulli distribution

double p() const; |  | (since C++11)

Returns the p parameter the distribution was constructed with. It defines the probability of generating true. The default value is 0.5.

### Parameters

(none)

### Return value

Floating point value identifying the p distribution parameter.

### See also

param | gets or sets the distribution parameter object (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/bernoulli_distribution/p&oldid=65147"